# Invoke-RASStopOptimization.md

## NAME

Invoke-RASStopOptimization

## SYNOPSIS

Stop optimization on specified object.

## SYNTAX

\*\*Invoke-RASStopOptimization -[HostId](#hostid-string) *(string)* -[ObjType](#objtype) {AVDTemplate | RDSTemplate | VDITemplate | AVDHost | RDSHost | VDIHost} -[ProviderId](#providerid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Stops optimization on a specified object.

## PARAMETERS

## ObjType

([StopOptimizationObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/stopoptimizationobjtype.md)) Type of object to stop optimization for.

Possible values: AVDTemplate, RDSTemplate, VDITemplate, AVDHost, RDSHost, VDIHost

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProviderId (uint)

Provider Id.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostId (string)

Host Id.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASCommand -Action StopOptimization -ObjType AVDHost -ProviderId 1 -HostId "f243a429-4502-4aa3-a1ed-0b61a32638e2"

Attempts to stop optimization of AVD Host with Id "f243a429-4502-4aa3-a1ed-0b61a32638e2" and under provider with Id 1.

## RELATED LINKS

* [Get-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md)
* [Get-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhost.md)
* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)
* [Get-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasstopoptimization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
